Subject: Re: bug#53872: [PATCH] gnu: maven: Use required logger
From: Julien Lepiller <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Mon, 28 Feb 2022 11:00:00 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

With no other answer after more than two weeks since I posted the patch
series, pushed to master as ea23386e084a035e4bc23273fffc3d114b311789 -
9aae8a3e0d53fd0c11b8e98e1fd2d2232598b036. Thanks!

Le Wed, 16 Feb 2022 16:03:23 +0100,
Ludovic Courtès <[email-masked]> a écrit :

> Hi,
> 
> Julien Lepiller <[email-masked]> skribis:
> 
> > I figured there was a small issue with our maven package. It warns
> > that the current logger is not supported, and lists no supported
> > logger. This is because I forgot to copy resources in
> > maven-embedder (first patch). I also noticed I missed resources in
> > maven-compat, so I fixed that in the second patch.
> >
> > Then, maven uses its own logger instead of a default one, even if it
> > does support slf4j-simple. The third patch adds
> > maven-slf4j-wrapper. It is essentially a fork of slf4j-simple, but
> > the way it's written requires me to copy most of slf4j-simple's
> > sources. The last patch switches the use of slf4j-simple to
> > maven-slf4j-provider. I checked that java-jmh still builds properly
> > with this change, and no warnings are shown about the logger
> > anymore.  
> 
> I know nothing about Maven but I’d say you can go ahead if the other
> Java folks around here have nothing to say.
> (When do we set up teams? :-))
> 
> Thanks,
> Ludo’.